# @configure_input@
# Copyright 1988-92, 1994-95, 1999, 2000 Free Software Foundation, Inc.
# Written by Steve Byrne

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# $Revision: 1.7.5$

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = @srcdir@
VPATH = @srcdir@

PROGS = gst@EXEEXT@
MAINTAINER = @MAINTAINER@

# Older makes don't set $(MAKE), so we set it for them.
@SET_MAKE@

# Programs - Use cp if you don't have install.
SCHEDULER = cat
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_INFO = @INSTALL_INFO@
MAKEINFO = @MAKEINFO@
AUTOHEADER = @AUTOHEADER@
AUTOCONF = @AUTOCONF@
CC = @CC@
AR = ar
RANLIB = @RANLIB@
BISON = @BISON@


# Platform-dependent definitions
PLATFORM = @PLATFORM@
EXE=@EXEEXT@
RM = @RM@


# other definitions
ALLOCA = @ALLOCA@
GST_TAB = @GST_TAB@
ICON = @ICON@
DEFS = @DEFS@
LIBS = @LIBS@
TCL_LIBS = @TCL_LIBS@
USER_OBJECTS = 
TARGET = all
BASE_NAME = smalltalk-$(VERSION)

# These control the distribution version
VERSION= @VERSION@
ST_MAJOR_VERSION = @ST_MAJOR_VERSION@
ST_MINOR_VERSION = @ST_MINOR_VERSION@
ST_EDIT_VERSION  = @ST_EDIT_VERSION@
ST_EDIT_PREFIX   = @ST_EDIT_PREFIX@


# Program flags
OPT_LEVEL = 2
OPT_CFLAGS = -O$(OPT_LEVEL) -DOPTIMIZE
CDEBUG = @CDEBUG@
INCLUDES= -I$(srcdir) -I$(srcdir)/lib $(USER_INCLUDES)
CPPFLAGS = @CPPFLAGS@
CFLAGS = @CFLAGS@ # $(INCLUDES)
LDFLAGS = @LDFLAGS@ $(USER_LDFLAGS)
X_CFLAGS = @X_CFLAGS@
GCC_OPT_CFLAGS = @GCC_OPT_CFLAGS@
GCC_CFLAGS = @GCC_CFLAGS@ 


# Paths given by autoconf
prefix = @prefix@
exec_prefix = @exec_prefix@
bindir = @bindir@
libdir = @libdir@
datadir = @datadir@
mandir = @mandir@
infodir = @infodir@
includedir = @includedir@
oldincludedir = @oldincludedir@
X_LIBS = @X_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
LDPATH = @LDPATH@ 

# Other paths we use
smlibdir = $(libdir)
stdir = @KERNEL_PATH@/..
IMAGE_PATH=@IMAGE_PATH@
KERNEL_PATH=@KERNEL_PATH@

#### End of system configuration section. ####

MDEFINES = bindir='$(bindir)' libdir='$(libdir)' mandir='$(mandir)' \
       INSTALL='$(INSTALL)' INSTALLDATA='$(INSTALLDATA)' \
       LIBS='$(LIBS)' LDPATH='$(LDPATH)' LIBPROGS='$(LIBPROGS)' \
       MAKE='$(MAKE)' \
       AR='$(AR)' RANLIB='$(RANLIB)' \
       BISON='$(BISON)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' \
       CC='$(CC)' INCLUDES='$(INCLUDES)' DEFS='$(DEFS)' CDEBUG='$(CDEBUG)' \
       GCC_CFLAGS='$(GCC_CFLAGS)' OPT_CFLAGS='$(OPT_CFLAGS)' \
       GCC_OPT_CFLAGS='$(GCC_OPT_GFLAGS)' GST_TAB='$(GST_TAB)' RM='$(RM)'


GENERIC_CC = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES) $(GCC_CFLAGS) $(CFLAGS) $(CDEBUG) 

.c.o: 
	$(GENERIC_CC) $<



